API ReferenceScim
Bulk operations (SCIM 2.0 §3.7)
POST
/v1/idp/scim/v2/BulkAuthorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/scim+json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/scim+json
curl -X POST "https://example.com/v1/idp/scim/v2/Bulk" \ -H "Content-Type: application/scim+json" \ -d '<Operations> <bulkId>qwerty</bulkId> <data> <emails> <primary>true</primary> <value>jdoe@corp.com</value> </emails> <userName>jdoe</userName> </data> <method>POST</method> <path>/Users</path> </Operations> <Operations> <bulkId>ytrewq</bulkId> <data> <displayName>Engineering</displayName> <members> <value>bulkId:qwerty</value> </members> </data> <method>POST</method> <path>/Groups</path> </Operations> <failOnErrors>1</failOnErrors> <schemas>urn:ietf:params:scim:api:messages:2.0:BulkRequest</schemas>'{ "schemas": [ "string" ], "Operations": [ {} ]}